Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232109 (CVE-2007-1398) - CVE-2007-1398: snort DoS
Summary: CVE-2007-1398: snort DoS
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2007-1398
Product: Fedora
Classification: Fedora
Component: snort
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 21:34 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 00:40:05 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-03-13 21:34:07 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2007-1398

"The frag3 preprocessor in Snort 2.6.1.1, 2.6.1.2, and 2.7.0 beta, when
configured for inline use on Linux without the ip_conntrack module loaded,
allows remote attackers to cause a denial of service (segmentation fault and
application crash) via certain UDP packets produced by send_morefrag_packet and
send_overlap_packet."

FC-5 and 6 are at 2.6.1.1 at the moment.

Comment 1 Dennis Gilmore 2007-03-14 00:40:05 UTC
Thanks for the report.  we don't build inline mode as it fails to build.


Note You need to log in before you can comment on or make changes to this bug.